package com.revature.cukes;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.testng.Assert;

import cucumber.api.java.After;
import cucumber.api.java.Before;
import cucumber.api.java.en.Given;
import cucumber.api.java.en.Then;
import cucumber.api.java.en.When;

/*
 * We've placed all of our Gluecode (the code generated by Cucumber) inside
 * of this file. As such, this file is referred to as a Step Definition File.
 */
public class StepDefinitionFile {

	private WebDriver driver;

	@Before
	public void setUp() {
		System.setProperty("webdriver.chrome.driver", "drivers/chromedriver.exe");
		driver = new ChromeDriver();
		driver.get("https://www.saucedemo.com");
	}

	@Given("a user is on the login page of SwagLabs")
	public void a_user_is_on_the_login_page_of_SwagLabs() {
		Assert.assertEquals(driver.getCurrentUrl(), "https://www.saucedemo.com/");
	}

	@When("the user inputs their username")
	public void the_user_inputs_their_username() {
		driver.findElement(By.id("user-name")).sendKeys("standard_user");
	}

	@When("the user inputs their password")
	public void the_user_inputs_their_password() {
		driver.findElement(By.id("password")).sendKeys("secret_sauce");
	}

	@When("the user hits the enter button")
	public void the_user_hits_the_enter_button() {
		driver.findElement(By.id("login-button")).click();
	}

	@Then("the user ends up on the inventory page")
	public void the_user_ends_up_on_the_inventory_page() {
		Assert.assertEquals(driver.getCurrentUrl(), "https://www.saucedemo.com/inventory.html");
	}
	
	@After
	public void tearDown(){
		driver.quit();
	}
}
